<?php defined('SYSPATH') || die('No direct script access.');

class Model_Disciplines extends Model_Collection
{
    protected function setQuery() {
        $this->parameters = ['semesterID'=>null, 'facultyID'=>null];
        $this->queryName = 'DisciplineCollection_get';
    }

    public function getByState($state) {
        $this->getRawDataInLazyMode();

        // no filtering
        if (is_null($state))
            return $this->data;

        // filtering
        return array_filter($this->data,
            function($record) use ($state) {
                return $record['State'] == $state;
            });
    }

}
